1. Warehouse - HMAC Auth
Calven Developer Docs
  • Overview
  • Key Access Levels
  • Basic Authentication Overview
  • HMAC Authentication Overview
  • SDKs
  • Calven Data Models
  • Changelog
  • HMAC Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse Overview
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Warehouse - HMAC Auth
    • Warehouse Overview
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence
      GET
    • User Actions Log
      GET
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings
  • Org Hierarchy
  • Schemas
    • Schemas
      • LeaveRequestBody
      • TimeoffRequestBody
      • TimeOffEvent
      • TimeoffResponse
      • TimeoffEventResponse
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • DMPostUserAttributesResponseDto
    • ApiServiceException
    • VisitorArrivalEventDto
    • ResultCodes
    • CreatePresenceEventDto
    • DWChangeLogUserResponseDto
    • DWUserBookingAttendanceResponseDto
    • DWPresenceResponseDto
    • DWUsersResponseDto
    • DWLocationsResponseDto
    • DWDesksResponseDto
    • DWGroupsResponseDto
    • DMGroupRelationshipDto
    • DMPostUserAttributesRecordResponseDto
    • AccessCredentialUpdate
    • PresenceEventDto
    • EventResultDto
    • CreatePresenceEventResponseDto
    • OccupancyEventDto
    • CreateOccupancyEventDto
    • CreateOccupancyEventResponseDto
    • AuthRequestDto
    • OAuthRequestDto
    • OAuthResponseDto
    • AccessCredentialUpdateResultCodes
    • AccessCredentialUpdateResult
    • AccessCredentialUpdateResponse
    • AccessCredential
    • AccessCredentialUpdateRequest
    • AuthResponseDto
    • CreateVisitorArrivalEventDto
    • CreateVisitorArrivalEventResponseDto
    • TimeOffRequestBodyDto
    • TimeOffResponseDto
    • PutDMGroupHierarchyRelationshipBodyDto
    • ParkingBookingReportPrincipalDto
    • ParkingBookingReportSpotDto
    • ParkingBookingReportZoneDto
    • ParkingBookingReportAreaDto
    • GetParkingBookingReportResponseDto
  1. Warehouse - HMAC Auth

Presence

GET
/v1/analytics/presence

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/analytics/presence?endDate=undefined&locationIds=undefined&startDate=undefined&userIds=undefined'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
[
    {
        "levelId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "levelName": "Level 1",
        "locationDay": "2023-12-31T00:00:00.000Z",
        "locationId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "locationName": "Main Office",
        "locationTime": "14:30:00",
        "placeId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "placeName": "Desk 1",
        "source": "sensor",
        "timestamp": "2023-12-31T14:30:00.000Z",
        "userId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "zoneId": "3a2b0fd7-5f5a-4472-ab61-a2cc1784d38b",
        "zoneName": "Zone A"
    }
]
Modified at 2026-08-10 01:09:39
Previous
Bookings & Attendance
Next
User Actions Log
Built with